Jump to content

Search the Community

Showing results for tags 'select'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 27 results

  1. (sssetfirst nil (ssget "_X" '((8 . "5")))) will select objects in layer 5 no problem but when i incorporate (getvar "CLAYER") to make: (sssetfirst nil (ssget "_X" '((8 . (getvar "CLAYER"))))) It comes back with error: ; error: bad SSGET list value It's probably just a simple fix (heck, maybe even a standard command to do the same) Thanks in advance.
  2. this lisp convert polyline segments to arcs . work one line for time . i need select 1000 polylines for times. I'm new in autolisp and i do know what change in the code : (defun c:lwsegs2arced ( / massoclst nthmassocsubst v^v unit _ilp doc lw enx gr enxb p1 p2 p3 b i n ) (vl-load-com) (defun massoclst ( key lst ) (if (assoc key lst) (cons (assoc key lst) (massoclst key (cdr (member (assoc key lst) lst))))) ) (defun nthmassocsubst ( n key value lst / k slst p j plst m tst pslst ) (setq k (length (setq slst (member (assoc key lst) lst)))) (setq p (- (length lst) k)) (setq j -1) (repeat p (setq plst (cons (nth (setq j (1+ j)) lst) plst)) ) (setq plst (reverse plst)) (setq j -1) (setq m -1) (repeat k (setq j (1+ j)) (if (equal (assoc key (member (nth j slst) slst)) (nth j slst) 1e-6) (setq m (1+ m)) ) (if (and (not tst) (= n m)) (setq pslst (cons (cons key value) pslst) tst t) (setq pslst (cons (nth j slst) pslst)) ) ) (setq pslst (reverse pslst)) (append plst pslst) ) (defun v^v ( u v ) (mapcar '(lambda ( s1 s2 a b ) (+ ((eval s1) (* (nth a u) (nth b v))) ((eval s2) (* (nth a v) (nth b u))))) '(+ - +) '(- + -) '(1 0 0) '(2 2 1)) ) (defun unit ( v ) (mapcar '(lambda ( x ) (/ x (distance '(0.0 0.0 0.0) v))) v) ) (defun _ilp ( p1 p2 o nor / p1p p2p op tp pp p ) (if (not (equal (v^v nor (unit (mapcar '- p2 p1))) '(0.0 0.0 0.0) 1e-7)) (progn (setq p1p (trans p1 0 (v^v nor (unit (mapcar '- p2 p1)))) p2p (trans p2 0 (v^v nor (unit (mapcar '- p2 p1)))) op (trans o 0 (v^v nor (unit (mapcar '- p2 p1)))) op (list (car op) (cadr op) (caddr p1p)) tp (polar op (+ (* 0.5 pi) (angle '(0.0 0.0 0.0) (trans nor 0 (v^v nor (unit (mapcar '- p2 p1)))))) 1.0) ) (if (inters p1p p2p op tp nil) (progn (setq p (trans (inters p1p p2p op tp nil) (v^v nor (unit (mapcar '- p2 p1))) 0)) p ) nil ) ) (progn (setq pp (list (car (trans p1 0 nor)) (cadr (trans p1 0 nor)) (caddr (trans o 0 nor)))) (setq p (trans pp nor 0)) p ) ) ) (or doc (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))) (vla-startundomark doc) (if (and (setq lw (entsel "\nPick LWPOLYLINE...")) (= (cdr (assoc 0 (setq enx (entget (car lw))))) "LWPOLYLINE") ) (progn (setq i (fix (vlax-curve-getParamAtPoint (car lw) (vlax-curve-getClosestPointToProjection (car lw) (trans (cadr lw) 1 0) '(0.0 0.0 1.0)) ) ;_ vlax-curve-getParamAtPoint ) ;_ fix p1 (vlax-curve-getPointAtParam (car lw) i) p3 (vlax-curve-getPointAtParam (car lw) (1+ i)) lw (car lw) ) (setq enxb (massoclst 42 enx)) (while (= 5 (car (setq gr (grread t)))) (setq p2 (_ilp (trans (cadr gr) 1 0) (mapcar '+ (trans (cadr gr) 1 0) '(0.0 0.0 1.0)) p1 (cdr (assoc 210 (entget lw))))) (setq b ((lambda (a) (/ (sin a) (cos a))) (/ (- (angle (trans p2 0 lw) (trans p3 0 lw)) (angle (trans p1 0 lw) (trans p2 0 lw))) 2.0) ) ) (setq n -1) (foreach dxf42 enxb (setq n (1+ n)) (if (= n i) (setq enx (nthmassocsubst n 42 b enx)) (setq enx (nthmassocsubst n 42 (+ (cdr dxf42) b) enx)) ) ) (entupd (cdr (assoc -1 (entmod enx)))) ) ) (prompt "\n Nothing selected or picked object not a LWPOLYLINE ") ) (vla-endundomark doc) (princ) )
  3. hello, well i'm working on several floor, we got a block made by apartment, in each apartment, we gad lot of blocks, like exemple "bed", i'd like to select all the bed in one time to change the layer of this block, i don't want to enter the edit_block to change the layer of the lines, but to have the block "bed" set into the layer "mobilier" as an exemple, the filter selection by name do not recognize the block into a block, and neither the qselection. i hope someone can helpme, thanks it's my first post, and i don't speak english very often, so i'm sorry for my errors...
  4. Is it possible to select objects by layer using only the command prompt, I know it is possible to select objects by other means but I'm specifically trying to use the command prompt to run a script which will go on to cleanse dxf files. If not, does anyone now of a lisp routine which would enable this to work? Can lisps be called in scripts (have never tried)? Trying to select objects (blocks) to scale them to their correct size, now I'm sure their are other ways of doing this too but for some reason these particular blocks are "phantom" for want of a better word. And, cant be edited by double clicking them! The general idea is to cleanse the data as much as possible (set layers, colours etc) with no input from the end users. Hope the above is clear and thanks in advance for any and all help
  5. In the attached file, two lines are represented, apparently overlapping. In fact there is one out of the way between 0.0001. Someone will be able to achieve a routine that makes it possible to select the lines, overlapping them with the same y-coordinate. Of course, also for distant lines with other values. This is an example for horizontal lines but needed equally for vertical lines. Thanks! test_lines.dwg
  6. Hello, I need a lisp that would randomly select a certain percentage of objects from an user pre-selected group. We are creating shutters, that are randomly perforated - don't want to manually randomly delete hundreds of small circles. I've found a lisp from David Bethel (in this forum's archive: http://www.cadtutor.net/forum/archive/index.php/t-52841.html) which works fine, but it would select between all objects in the drawing, even on frozen layers. The thread is very old so I don't know if Mr. Bethel is still active on this forum. How would I change this lisp, so that it would first promp me to select objects from which it would then randomly select a certain percentage? Thanks, David
  7. I need to select all existaing MLeader on a specific MLeader Style and change them to an other MLeader style. I already create a similar code to dimension that work good for exemple. ________________________________________________________________ (setq dimstyle_old (ssget "_X" '((0 . "*DIMENSION") (2 . "dimstyle_old") ))) (COMMAND "OPTCHPROP" dimstyle_old "" "D" "dimstyle_new" "") ________________________________________________________________ The problem is: I am not able to find a dxf group code that work for MLeaders... Thank you Patrick
  8. Hello everyone. I am having a mental blank as i am sure i know the solution to this but cannot remember I am trying to have a shortcut to select all xrefs starting with X* I have tried this but i does not work. (defun c:xrss () (command "SELECT" (ssget "X" (list (cons 0 "INSERT") (cons 2 "X*") ) ) "" ) ) However this does work (defun c:xrerase () (command "erase" (ssget "X" (list (cons 0 "INSERT") (cons 2 "X*") ) ) "" ) ) Can anyone explain what is happening here. I don't need a quick fix but would like to understand the process
  9. In Blender 3D, there is a circle select tool (formerly brush select) that allows you to paint your selection as if using a brush in Photoshop. After extensive searches, I can't find anything like it in Autocad. Is there anything like this out there already, or will I need to draft it up myself? Any tips on how to do it would be awesome. Is there a tool that lets you click and drag to dynamically create a polyline or spline (sort of like a fence select where you hold your click)? I could possibly hack together some code onto that to offset the line with circle end-caps, and then select within curve. The Blender circle tool is demonstrated in the second half of this video: https://youtu.be/WCTuc2Dk-3E?t=2m10s And it's documented here, under circular region: https://www.blender.org/manual/modeling/meshes/selecting/basics.html
  10. I have been drafting for years and i am familiar with Microstation and AutoCad. I used Microstation for 5 years, then changed jobs, the new job requires AutoCad. My issue is the way the 2 systems treat lines. Microstaation treats all lines as complete entity ie: you can sellect and snap to the "blank" space in a hidden line. I cannot do the same in AutoCad. example: Multiple hidden lines select for trim; i have to make sure my selection window intersects the visible part of a line or it won't trim, this is extremely tedious. The only option i have found on the internet that works is to change LTS then change it back. Is there a better way? also choosing the point where 2 hidden lines intersect (perpendicular snap doesn't work when the lines are not at 90degree angles)
  11. Hi, I searched and found some code on here that did not go as deep as I need it to. A few weeks ago I made a multileader with the hexagon and enabled the large dot on the end of the leader, it was MLS "STANDARD", my first mistake. But 1st, I customized the _TagHexagon so it had a masked mtext attribute. At the time I didn't know that Quick Select and Object Selection Filters did not differentiate between home made mleaders and mleaders with mtext and a simple leader. The reason I need to separate them, sometimes I come into a dwg and all the MLs are linespace factor of 1, I want to grab them all with a filer and make them .9, looks so much better, but it also grabs my custom MLs because I left the style name as STANDARD, once they are all selected, the properties fields will not show the "line space factor" field so I have to pick each mleader, and there are a lot of them! There's nothing else unique to filter, all on layer TEXT, BYLAYER, etc. Has anyone written code to select STANDARD AND Hexagon? Or STANDARD AND MLs with leaders with dots, OR filled arrow heads etc? I am not great at lisp but I can tweak it, insert names of my own styles, blocks etc. In the mean time, I will make my new custom MLs with Color White or put the 1st one in the dwg on a different layer but I have made 30 dwgs full of these mixed MLs. Thanks much if you can help! BTW, I'm using Acad 2014 -=(RLH)=-
  12. Is there a quick shortcut for this, similar to Revit where you can hit Tab to click on objects that are under others? Thanks,
  13. Nobull84

    beginner lisp help

    I'm not sure the correct wording of what I'm trying to do so google hasn't been too helpful. I have a command that invokes a dialog box with the option to "edit" an object, among other things. I'm looking to automate some things. I want to run the command, (Defun C:bbb () (command "BEAM") Then select the option to edit, (don't know where to go here...) Then choose "select previous" and confirm the selection. If I could get that far I think I could get the rest regarding adding this to a double-click feature in the CUI.The ultimate goal of this for me is to double-click the "beam" and automatically open this dialog box in the edit mode and skip the steps of calling out the "BEAM" command, click edit and then select the beam. I'm trying to learn how to call out options within a dialog box using lisps as most of the commands I use all day have a dialog box that is used after beginning the command and then options after that. Hopefully this is clear enough for someone to understand. If not, I'll try to supply more info that I can. Thanks, Nobull, i.e. "Noob"
  14. Hello all, Could anyone tell me how to alter this code? It asks to pick a value then whether to apply it once or multiple times. In multiple mode, you still only choose one at a time. I would like to be able to apply to multiple objects at once, using a selection box. Thanks -Nobull ;;;;Realization {Smirnoff} ;;; TTCM - Text to Text copy whith Matchprop. Copy text from DIMENSION, TEXT, ;;;MTEXT, ATTRIB, ATTDEF, ACAD_TABLE to one (defun c:tt (/ actDoc vlaObj sObj sText curObj oldForm oType oldMode conFlag errFlag *error* prop) (vl-load-com) (setq actDoc(vla-get-ActiveDocument (vlax-get-acad-object))) (vla-StartUndoMark actDoc) (defun TTC_Paste(pasteStr / nslLst vlaObj hitPt hitRes Row Column) (setq errFlag nil) (if (setq nslLst(nentsel "\nPaste text >")) (progn (cond ( (and (= 4(length nslLst)) (= "DIMENSION"(cdr(assoc 0(entget(car(last nslLst)))))) ); end and (setq vlaObj (vlax-ename->vla-object (cdr(assoc -1(entget(car(last nslLst))))))) (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-TextOverride(list vlaObj pasteStr))) (progn (princ "\n Can't paste. Object may be on locked layer. ") (setq errFlag T) ); end progn ); end if ); end condition #1 ( (and (= 4(length nslLst)) (= "ACAD_TABLE"(cdr(assoc 0(entget(car(last nslLst)))))) ); end and (setq vlaObj (vlax-ename->vla-object (cdr(assoc -1(entget(car(last nslLst)))))) hitPt(vlax-3D-Point(trans(cadr nslLst)1 0)) hitRes(vla-HitTest vlaObj hitPt (vlax-3D-Point '(0.0 0.0 1.0)) 'Row 'Column) ); end setq (if(= :vlax-true hitRes) (progn (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-SetText(list vlaObj Row Column pasteStr))) (progn (princ "\n Can't paste. Object may be on locked layer. ") (setq errFlag T) ); end progn ); end if ); end progn ); end if ); end condition # 2 ( (and (= 4(length nslLst)) (= "INSERT"(cdr(assoc 0(entget(car(last nslLst)))))) ); end and (princ "\nCan't paste to block's DText or MText. Select Attribute ") (setq errFlag T) ); end condition #3 ( (and (= 2(length nslLst)) (member(cdr(assoc 0(entget(car nslLst)))) '("TEXT" "MTEXT" "ATTRIB" "ATTDEF")) ); end and (setq vlaObj (vlax-ename->vla-object(car nslLst))) (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-TextString(list vlaObj pasteStr))) (progn (princ "\nError. Can't pase text. ") (setq errFlag T) ); end progn ); end if ); end condition #4 (T (princ "\nCan't paste. Invalid object. ") (setq errFlag T) ); end condition #5 ); end cond (if (and (null errFlag) (= (type vlaObj) 'VLA-OBJECT)) (mapcar '(lambda (x y) (vlax-put-property vlaObj x y)) '(Linetype LineWeight Color Layer) prop ) ) T ); end progn nil ); end if ); end of TTC_Paste (defun TTC_MText_Clear(Mtext / Text Str) (setq Text "") (while(/= Mtext "") (cond ((wcmatch (strcase (setq Str (substr Mtext 1 2))) "[url="file://\\"]\\[/url][\\{}`~]") (setq Mtext(substr Mtext 3) Text(strcat Text Str) ); end setq ); end condition #1 ((wcmatch(substr Mtext 1 1) "[{}]") (setq Mtext (substr Mtext 2)) ); end condition #2 ( (and (wcmatch (strcase (substr Mtext 1 2)) "[url="file://\\P"]\\P[/url]") (/=(substr Mtext 3 1) " ") ); end and (setq Mtext (substr Mtext 3) Text (strcat Text " ") ); end setq ); end condition #3 ((wcmatch (strcase (substr Mtext 1 2)) "[url="file://\\"]\\[/url][LOP]") (setq Mtext(substr Mtext 3)) ); end condition #4 ((wcmatch (strcase (substr Mtext 1 2)) "[url="file://\\"]\\[/url][ACFHQTW]") (setq Mtext (substr Mtext (+ 2 (vl-string-search ";" Mtext)))) ); end condition #5 ((wcmatch (strcase (substr Mtext 1 2)) "[url="file://\\S"]\\S[/url]") (setq Str(substr Mtext 3 (- (vl-string-search ";" Mtext) 2)) Text(strcat Text (vl-string-translate "#^\\" " " Str)) Mtext(substr Mtext (+ 4 (strlen Str))) ); end setq (print Str) ); end condition #6 (T (setq Text(strcat Text(substr Mtext 1 1)) Mtext (substr Mtext 2) ) ); end condition #7 ); end cond ); end while Text ); end of TTC_MText_Clear (defun TTC_Copy (/ sObj sText tType actDoc) (if (and (setq sObj(car(nentsel "\nCopy text... "))) (member(setq tType(cdr(assoc 0(entget sObj)))) '("TEXT" "MTEXT" "ATTRIB" "ATTDEF")) ); end and (progn (setq actDoc(vla-get-ActiveDocument (vlax-get-Acad-object)) sText(vla-get-TextString (vlax-ename->vla-object sObj)) ); end setq (if(= tType "MTEXT") (setq sText(TTC_MText_Clear sText)) ); end if ); end progn ); end if (setq prop (mapcar '(lambda (x) (vlax-get-property (vlax-ename->vla-object sObj) x)) '(Linetype LineWeight Color Layer) ) ) sText ); end of TTC_Copy (defun CCT_Str_Echo(paseStr / comStr) (if(< 20(strlen paseStr)) (setq comStr (strcat (substr paseStr 1 17)"...")) (setq comStr paseStr) ); end if (princ (strcat "\nText = \"" comStr "\"")) (princ) ); end of CCT_Str_Echo (defun *error*(msg) (vla-EndUndoMark (vla-get-ActiveDocument (vlax-get-acad-object))) (princ "\nQuit TTCM") (princ) ); end of *error* (if(not ttc:Mode)(setq ttc:Mode "Multiple")) (initget "Multiple Pair-wise") (setq oldMode ttc:Mode ttc:Mode (getkword (strcat "\nSpecify mode [Multiple/Pair-wise] <" ttc:Mode ">: ")) conFlag T paseStr "" ); end setq (if(null ttc:Mode)(setq ttc:Mode oldMode)) (if(= ttc:Mode "Multiple") (progn (if(and(setq paseStr(TTC_Copy))conFlag) (progn (CCT_Str_Echo paseStr) (while(setq conFlag(TTC_Paste paseStr))T ); end while ); end progn ); end if ); end progn (progn (while (and conFlag paseStr) (setq paseStr(TTC_Copy)) (if(and paseStr conFlag) (progn (CCT_Str_Echo paseStr) (setq errFlag T) (while errFlag (setq conFlag(TTC_Paste paseStr)) );end while ); end progn ); end if ); end while ); end progn ); end if (vla-EndUndoMark actDoc) (princ "\nQuit TTCM") (princ) ); end c:ttc (princ "\n\t TTCM - Text to Text copy with matchprop.") (princ "\nCopy text from DIMENSION, TEXT, MTEXT, ATTRIB, ATTDEF, ACAD_TABLE to one")
  15. Hi All. I am trying to achieve the following: for example... in 100 floor plans there are blocks that have certain attribute values. i want to be able to create a script/lisp that will find all blocks that include a certain piece of text ie "window" in the attribute value and change the block to a certain colour. Essentially it is the same way that the "FIND" command works but via command line/lisp/script etc instead. This will be so i can apply this specific task without user input on the 100 floor plans. Is there a way to do this as ive searched hundreds of terms/forums/ideas etc and came up with only find and replace tools or change all text in a drawing to certain colour. Your help is greatly appreciated =]
  16. Is it possible to have a program or lisp that will change the color of an object as it is selected? Then maybe change the color back after whatever action is done? The types of dwgs we do can get somewhat busy and it can be very easy to miss something. Can anyone tell me if this is possible or not? Thanks, Nobull
  17. Hi all, I need help on selecting a nested object which is attributed text from the block to be able to remove hatch over it. Below is the code that I'm using currently (not mine originaly, I tweaked it a bit for my application). This code just works for the whole block but doesnt allow me to select just the text. (defun Fixhatch (/ Hatchfix objct) (while (setq Hatchfix (entsel "\nSelect Hatch to fix (or Enter to close):")) (redraw (car Hatchfix) 3) (Alert "\n***Select object(s) to clear/skip hatch:***") (setq objct (ssget)) (if (eq (cdr (assoc 0 (entget (setq Hatchfix (car Hatchfix))))) "HATCH") (command "_.-hatchedit" Hatchfix "Ad" "s" objct "" "") (princ "\nSelected entity is not a hatch.") );end if );end while );end defun As you can see the text TB6 is an attribute text of the rectangle block and I want to remove hatch just from the text. Can this be done? Thanks in advance.
  18. As I draw, whenever I click on an object (e.g. a polyline) a small dialog box appears right next to it. For example: in the drawing below I'm selecting my own polyline which I've made into a line with an arrow tip. Now I select it because I want to change something but the small dialog box appears at the right. If I close the dialog box and click on another object, it shows back up again for whichever new object I'm selecting. This is quite annoying. How can I disable this? Thank you all for your time reading my inquiry. Please help.
  19. I went on vacation and came back and found that some settings have been changed on my computer, caused by the guy who used my computer and he said, "The program was just wigging out." BS! Anyway. I am currently running into the problem where i will select 1 item by simply clicking on it, and when i go to select a second item, the first is then deselected. I can click and drag and select multiple items that way, but that doesn't help me when the items and on different sides of the drawing and there are other lines and what not in between them. I am also aware that i can hold shift and select the second item, and all is fine, but that is not my desired operation. I have been working with Autocad for almost a year under the notion that i can just select multiple items by clicking on them all individually and would love to have this operation reinstated, primarily for ease and convenience, which increases productivity. Any help would be appreciated.
  20. Hi I have a block which contains dimensions and am wondering if it's possible for the dimensions to be hidden if the block is not selected? They are on a separate layer so I can hide them in the layer manager but it would be slick for them to autohide unless I select the block. Anybody have a suggestion? Thanks John
  21. Hello! I'm new to scripting, I dabbled a bit in AutoLisp years ago, but since my new AutoCAD LT doesn't support lisps I haven't retained that knowledge. Anyway... I am trying to write a script that will use the MOVE command and displace an object by a set distance. (I have to do this thousands of times over.) However I do not know how to select the object from with in the script. Anyone know how to do that?
  22. Hello! Long time lurker, first time asking a question... I am trying to select all of the text objects that reside beneath a block (I need to include the block too). The block can only be identified by having the attribute tag, "ADREM." My initial plan of attack is to locate the block based on the attribute tag and extract the coordinates (I'm having an issue with this), then select all the objects using the coordinates as an anchor. Thanks for all the help you guys have provided (unknowingly) thus far on other issues as well, this site is quite the resource. Take care, Seth
  23. taiwanchu

    Xref Selectability

    I have a drawing with an xref clipped several times and laid out but now cannot select them. I have run an audit, recover, purge to all xrefs and the parent file. The xref had some errors so I wblocked the whole drawing out and replaced it which at first helped but then the parent file still had the same problems. Some text in the parent file is not selectable either until a full reboot of Acad. Any suggestions?
  24. This is probably another one of those "quirks." I report it in the hope that, late in the 22nd century or so, someone will get around to fixing it. When I use Quick Select to find the objects on a particular layer, they are normally highlighted, and I can see the grips. Every so often that doesn't happen. I can still see the properties of the selection set, so the command has worked. If I select one of those objects, the rest are magically highlighted. Sometimes I select objects by layer simply to find out how many are there and where they are, so this particular quirk is frustrating. What makes it happen? If I knew, it would be a bug, not a quirk. At a guess, it happens after I've done several Quick Selects in a row.
  25. Hello all long time lurker here but I don't post much. I am trying to write a lisp that zooms to extents, selects all and then deselects everything within the extents. I need to do this since I'm working on some dirty files with a bunch of hideen junk that I need to purge out. I've got the lisp to zoom to extents and selecting all part down and I'm stuck on the deselecting everything in the extents of the drawing part. Thanks in advance.
×